<?php
/*
Plugin Name: GoogleBot Monitor
Plugin URI: http://www.watussi.fr/suivez-le-crawl-de-votre-blog-wordpress-avec-googlebot-monitor
Description: This plugin allows you to monitor - directly on Google Analytics - GoogleBot's activity on your website 
Author: Jean-Benoît Moingt
Version: 1.0
Author URI: http://www.watussi.fr
*/


function cm_addOptions()
{
	add_option('cm_meta');
}
register_activation_hook(__FILE__, 'cm_addOptions');

function cm_plugin_menu() {
  add_options_page('GoogleBot Monitor', 'GoogleBot Monitor', 'administrator', 'cm', 'cm_plugin_options');
}

function cm_plugin_options() {
echo '
<div class="wrap">
<h2>GoogleBot Monitor</h2>

<form method="post" action="options.php">';
wp_nonce_field('update-options'); 

echo '

<table class="form-table">

<tr valign="top">
<th scope="row"><h2>Your Current Google Analytics Code</h2></th></tr>
<tr>
<td>';

if(get_option('cm_meta') == ''){
	echo "No code inserted yet!";
}
else{
	echo str_replace(">", "&gt;",str_replace("<", "&lt;", get_option('cm_meta')));
}
echo '
</td></tr>
<tr>
<td><h2>Change Code </h2><p>Example : (UA-XXXXXXX-X)</p></td></tr>

<td><input type="text" name="cm_meta"  size="20" value="';


echo '" /></td>
</tr>
 

</table>

<input type="hidden" name="action" value="update" />
<input type="hidden" name="page_options" value="cm_meta" />

<p class="submit">
<input type="submit" class="button-primary" value="';
echo  _e('Save Changes');
echo '" />
</p>

</form>
</div>
';

}


add_action('admin_menu', 'cm_plugin_menu');



function monitoring_crawl($texte = ''){
		include_once('Galvanize.php');
		
		if(strstr($_SERVER['HTTP_USER_AGENT'] ,'Googlebot')){
			//$GA = new Galvanize('UA-3393928-72');
			$GA = new Galvanize(get_option('cm_meta'));
			$GA->trackPageView();
		}
		
}

//add_filter('the_content', 'monitoring_crawl');

add_action('wp_head', 'monitoring_crawl');


?>
